Extraction Categories
List Extraction Categories API
Retrieve all extraction categories attached to an agent via GET /agent//extraction-categories, each with the dispositions it owns.
GET
/
agent
/
{agent_id}
/
extraction-categories
cURL
curl --request GET \
--url https://api.bolna.ai/agent/{agent_id}/extraction-categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bolna.ai/agent/{agent_id}/extraction-categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bolna.ai/agent/{agent_id}/extraction-categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"categories": [
{
"id": "9b2e8f10-4c7d-4e2a-9f31-6a8d5c1b0e42",
"name": "Lead Quality",
"model": "gpt-4.1-mini",
"dispositions": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Call Outcome",
"question": "What was the outcome of the call?",
"system_prompt": "You are analyzing a sales call transcript.",
"category": "Lead Quality",
"category_id": "9b2e8f10-4c7d-4e2a-9f31-6a8d5c1b0e42",
"model": "gpt-4.1-mini",
"is_subjective": true,
"is_objective": true,
"subjective_type": "text",
"subjective_type_config": {
"pattern": "^\\d{10}$",
"description": "10-digit phone number"
},
"objective_options": [
{
"value": "interested",
"condition": "Customer expressed genuine interest and agreed to a next step",
"sub_options": "<array>"
}
],
"agent_ids": [
"agt_abc123"
],
"created_by": "user_abc123",
"created_at": "2026-03-01T10:00:00Z",
"updated_at": "2026-03-15T14:30:00Z"
}
]
}
]
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The agent whose categories are listed.
Response
Categories attached to the agent
The extraction categories attached to an agent, each with its dispositions.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL

